Index: code/branches/3DPacman_FS19/src/modules/pacman/PacmanRed.cc
===================================================================
--- code/branches/3DPacman_FS19/src/modules/pacman/PacmanRed.cc	(revision 12338)
+++ code/branches/3DPacman_FS19/src/modules/pacman/PacmanRed.cc	(revision 12357)
@@ -1,4 +1,3 @@
 #include "PacmanRed.h"
-//#include "Pacman.h"
 
 #include "core/CoreIncludes.h"
@@ -16,5 +15,5 @@
         this->target_x=0;
         this->target_z=15;
-        this->lastPlayerPassedPoint=Vector3(0,0,0); //Vector3(70,10,-135);
+        this->lastPlayerPassedPoint=Vector3(0,0,0); 
         this->isNearPlayer=false;
           
@@ -31,13 +30,6 @@
     }
 
-    /*void PacmanRed::setPlayerPos(Vector3 _playerPos)
-    {
-        this->playerPos = _playerPos;
-    }*/
-
-
     void PacmanRed::tick(float dt)
     {
-        //std::cout<<"LemanExpress5"<<endl;
         SUPER(PacmanGhost, tick, dt);
 
@@ -45,21 +37,14 @@
 
         for(int u=0; u < 67; u++){//always check if player passed a point
-            //if(possibleposition[u]!=Vector3(0,10,15)){
+            
                 if(jeanfindpos(this->getPlayerPos(), possibleposition[u])){
-                    //if(!findpos(possibleposition[u],Vector3(0,10,15))){
+                    
                 this->lastPlayerPassedPoint=possibleposition[u];
-                            }
-                        //}
-                //}
+                            }    
             }
-
-            std::cout<<this->lastPlayerPassedPoint<<endl;
-            std::cout<<this->pointInFrontOfPlayer<<endl;
-
-
 
         //Stop, if target arrived
         if((abs(this->actuelposition.x - this->target_x)<0.5) && (abs(this->actuelposition.z - this->target_z)<0.5)){
-            //std::cout<<"LemanExpress1"<<endl;
+            
                  this->ismoving = false;
         }
@@ -67,5 +52,5 @@
         //Move, if ghost hasn't arrived yet
         if(this->ismoving){
-            //std::cout<<"LemanExpress2"<<endl;
+            
             if(!(abs(this->actuelposition.z-target_z)<0.5)) {
                 velocity = Vector3(0,0,-sgn(this->actuelposition.z-this->target_z));
@@ -76,5 +61,5 @@
                 move(dt, actuelposition, velocity);
             }
-            //std::cout<<"LemanExpress4"<<endl;
+        
         }
         else if(this->lastPlayerPassedPoint==Vector3(0,0,0)){
@@ -89,5 +74,4 @@
         //Check on which position the ghost has arrived and set new target
         else{
-            std::cout<<"LemanExpress3"<<endl;
 
             while(lockmove){};
@@ -98,32 +82,14 @@
 
             Vector3 redPos=Vector3(this->target_x, 10, this->target_z);
-            //nextMove(this->getPlayerPos(), redPos);
-
-            this->pointInFrontOfPlayer=frontPosition(); //getPointInFrontOfPacman(lastPlayerPassedPoint, directionV);
-
+            this->pointInFrontOfPlayer=frontPosition(); 
 
             if(!findpos(this->actuelposition, lastPlayerPassedPoint)){
                 
-                /*std::cout<<this->getPlayerPos()<<endl;
-                std::cout<<this->lastPlayerPassedPoint<<endl;
-                std::cout<<this->pointInFrontOfPlayer<<endl;
-                std::cout<<this->actuelposition<<endl;*/
             nextMove(redPos, lastPlayerPassedPoint);
-            std::cout<<"hiuddi"<<endl;
             }
             else if(findpos(this->actuelposition, lastPlayerPassedPoint)){// red pacman is at lastPlayerPassedPoint
 
-                /*std::cout<<"dhdidjop"<<endl;
-                std::cout<<this->getPlayerPos()<<endl;
-                std::cout<<this->lastPlayerPassedPoint<<endl;
-                std::cout<<this->pointInFrontOfPlayer<<endl;
-                std::cout<<this->actuelposition<<endl;*/
-
-                //if(!findpos(pointInFrontOfPlayer, Vector3(0,10,15))){
-                nextMove(lastPlayerPassedPoint, pointInFrontOfPlayer);
-                    //}
-                std::cout<<"ogslodm"<<endl;
+            nextMove(lastPlayerPassedPoint, pointInFrontOfPlayer); 
             }
-
 
             lockmove=false; //NEVER FORGET THIS ONE !!!!!!!