Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/CMakeLists.txt
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/CMakeLists.txt	(revision 12364)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/CMakeLists.txt	(revision 12366)
@@ -4,8 +4,7 @@
   OrxoBloxWall.cc
   OrxoBloxBall.cc
-  OrxoBloxBot.cc
   OrxoBloxCenterpoint.cc
   OrxoBloxStones.cc
-  
+  OrxoBloxScore.cc
 
 
@@ -20,2 +19,5 @@
   SOURCE_FILES ${OrxoBlox_SRC_FILES}
 )
+
+
+  
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12364)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12366)
@@ -49,5 +49,4 @@
 #include "OrxoBloxCenterpoint.h"
 #include "OrxoBloxBall.h"
-//#include "OrxoBloxBot.h"//Remove??
 #include "OrxoBloxStones.h"
 #include "OrxoBloxWall.h"
@@ -64,5 +63,5 @@
         Constructor. Registers and initializes the object.
     */
-    OrxoBlox::OrxoBlox(Context* context) : ::orxonox::Deathmatch::Deathmatch(context)
+    OrxoBlox::OrxoBlox(Context* context) : Deathmatch(context)
     {
         RegisterObject(OrxoBlox);
@@ -147,6 +146,5 @@
             this->ball_->setSpeed(0);
             this->ball_->setAccelerationFactor(this->center_->getBallAccelerationFactor());
-            this->ball_->setBatLength(this->center_->getBatLength());
-
+            
             level_=1;
 
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.cc	(revision 12364)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.cc	(revision 12366)
@@ -65,5 +65,5 @@
         this->speed_ = 0;
         this->accelerationFactor_ = 1.0f;
-        this->bDeleteBats_ = false;
+        
         this->relMercyOffset_ = 0.05f;
         this->orxoblox_ = this->getOrxoBlox();
@@ -77,6 +77,5 @@
                  this->defScoreSound_ = new WorldSound(this->getContext());
                  this->defScoreSound_->setVolume(1.0f);
-                 this->defBatSound_ = new WorldSound(this->getContext());
-                 this->defBatSound_->setVolume(0.4f);
+                 
                  this->defBoundarySound_ = new WorldSound(this->getContext());
                  this->defBoundarySound_->setVolume(0.5f);
@@ -85,5 +84,5 @@
              {
                  this->defScoreSound_ = nullptr;
-                 this->defBatSound_ = nullptr;
+                 
                  this->defBoundarySound_ = nullptr;
              }
@@ -96,10 +95,5 @@
     OrxoBloxBall::~OrxoBloxBall()
     {
-        if (this->isInitialized())
-        {
-            if (this->bDeleteBats_)
-
-            delete[] this->batID_;
-        }
+        
     }
 
@@ -109,5 +103,5 @@
         SUPER(OrxoBloxBall, XMLPort, xmlelement, mode);
         XMLPortParam(OrxoBloxBall, "defScoreSound",  setDefScoreSound,  getDefScoreSound,  xmlelement, mode);
-        XMLPortParam(OrxoBloxBall, "defBatSound",  setDefBatSound,  getDefBatSound,  xmlelement, mode);
+        
         XMLPortParam(OrxoBloxBall, "defBoundarySound",  setDefBoundarySound,  getDefBoundarySound,  xmlelement, mode);
     }
@@ -121,5 +115,5 @@
         registerVariable( this->fieldWidth_ );
         registerVariable( this->fieldHeight_ );
-        registerVariable( this->batlength_ );
+        
         registerVariable( this->speed_ );
         registerVariable( this->relMercyOffset_ );
@@ -275,21 +269,6 @@
     }
 
-    void OrxoBloxBall::setDefBatSound(const std::string &OrxoBloxSound)
-    {
-        if( defBatSound_ )
-            defBatSound_->setSource(OrxoBloxSound);
-        else
-            assert(0); // This should never happen, because soundpointer is only available on master
-    }
-
-    const std::string& OrxoBloxBall::getDefBatSound()
-    {
-        if( defBatSound_ )
-            return defBatSound_->getSource();
-        else
-            assert(0);
-        return BLANKSTRING;
-    }
-
+    
+    
     void OrxoBloxBall::setDefBoundarySound(const std::string &OrxoBloxSound)
     {
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.h
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.h	(revision 12364)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.h	(revision 12366)
@@ -109,17 +109,5 @@
                 { return this->accelerationFactor_; }
 
-            /**
-            @brief Set the length of the bats.
-            @param batlength The length of the bats (in z-direction) as percentage of the height of the playing field.
-            */
-            void setBatLength(float batlength)
-                { this->batlength_ = batlength; }
-            /**
-            @brief Get the length of the bats.
-            @return Returns the length of the bats (in z-direction) as percentage of the height of the playing field.
-            */
-            float getBatLength() const
-                { return this->batlength_; }
-
+        
 
             void Bounce(OrxoBloxStones* otherObject);
@@ -130,6 +118,5 @@
             void setDefScoreSound(const std::string& engineSound);
             const std::string& getDefScoreSound();
-            void setDefBatSound(const std::string& engineSound);
-            const std::string& getDefBatSound();
+            
             void setDefBoundarySound(const std::string& engineSound);
             const std::string& getDefBoundarySound();
@@ -146,10 +133,8 @@
             float speed_; //!< The speed (in x-direction) of the ball.
             float accelerationFactor_; //!< The acceleration factor of the ball.
-            float batlength_; //!< The length of the bats (in z-direction) as percentage of the height of the playing field.
-            bool bDeleteBats_; //!< Bool, to keep track, of whether this->bat_ exists or not.
+            
             unsigned int* batID_; //!< The object IDs of the bats, to be able to synchronize them over the network.
             float relMercyOffset_; //!< Offset, that makes the player not loose, when, in all fairness, he would have.
             WorldSound* defScoreSound_;
-            WorldSound* defBatSound_;
             WorldSound* defBoundarySound_;
             OrxoBlox* orxoblox_;
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxCenterpoint.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxCenterpoint.cc	(revision 12364)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxCenterpoint.cc	(revision 12366)
@@ -60,7 +60,5 @@
         this->ballspeed_ = 100;
         this->ballaccfactor_ = 1.0;
-        this->batspeed_ = 60;
-        this->batlength_ = 0.25;
-
+        
         this->checkGametype();
     }
@@ -76,11 +74,9 @@
         XMLPortParam(OrxoBloxCenterpoint, "dimension", setFieldDimension, getFieldDimension, xmlelement, mode);
         XMLPortParam(OrxoBloxCenterpoint, "balltemplate", setBalltemplate, getBalltemplate, xmlelement, mode);
-        XMLPortParam(OrxoBloxCenterpoint, "battemplate", setBattemplate, getBattemplate, xmlelement, mode);
         XMLPortParam(OrxoBloxCenterpoint, "ballspeed", setBallSpeed, getBallSpeed, xmlelement, mode);
         XMLPortParam(OrxoBloxCenterpoint, "ballaccfactor", setBallAccelerationFactor, getBallAccelerationFactor, xmlelement, mode);
-        XMLPortParam(OrxoBloxCenterpoint, "batspeed", setBatSpeed, getBatSpeed, xmlelement, mode);
+
         XMLPortParam(OrxoBloxCenterpoint, "stoneTemplate", setStoneTemplate, getStoneTemplate, xmlelement, mode);
         XMLPortParam(OrxoBloxCenterpoint, "WallTemplate", setWallTemplate, getWallTemplate, xmlelement, mode);
-        XMLPortParam(OrxoBloxCenterpoint, "batlength", setBatLength, getBatLength, xmlelement, mode);
     }
 
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxCenterpoint.h
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxCenterpoint.h	(revision 12364)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxCenterpoint.h	(revision 12366)
@@ -139,17 +139,5 @@
                 { return this->balltemplate_; }
 
-            /**
-            @brief Set the template for the bats. (e.g. to attach the model of the bat, but also to attach CameraPositions to it, to be able to view the game from the bats perspective)
-            @param battemplate The name of the template to be set.
-            */
-            void setBattemplate(const std::string& battemplate)
-                { this->battemplate_ = battemplate; }
-            /**
-            @brief Get the template of the bats.
-            @return Returns the name of the template of the bats.
-            */
-            const std::string& getBattemplate() const
-                { return this->battemplate_; }
-
+        
             /**
             @brief Set the dimensions of the playing field.
@@ -191,30 +179,5 @@
                 { return this->ballaccfactor_; }
 
-            /**
-            @brief Set the speed of the bats.
-            @param batspeed The speed of the bats.
-            */
-            void setBatSpeed(float batspeed)
-                { this->batspeed_ = batspeed; }
-            /**
-            @brief Get the speed of the bats.
-            @return Returns the speed of the bats.
-            */
-            float getBatSpeed() const
-                { return this->batspeed_; }
-
-            /**
-            @brief Set the length of the bats.
-            @param batlength The length of the bats (in z-direction) as a percentage of the height of the playing field.
-            */
-            void setBatLength(float batlength)
-                { this->batlength_ = batlength; }
-            /**
-            @brief Get the length of the bats.
-            @return Returns the length of the bats (in z-direction) as a percentage of the height of the playing field.
-            */
-            float getBatLength() const
-                { return this->batlength_; }
-
+    
             /**
             @brief Set the template for the stones.
@@ -250,5 +213,4 @@
 
             std::string balltemplate_; //!< The template for the ball.
-            std::string battemplate_; //!< The template for the bats.
             std::string WallTemplate_;
             std::string stoneTemplate_;
@@ -256,7 +218,4 @@
             float ballspeed_; //!< The speed of then ball.
             float ballaccfactor_; //!< The acceleration factor of the ball.
-            float batspeed_; //!< The speed of the bat.
-            float batlength_; //!< The length of the bat (in z-direction) as a percentage of the height of the playing field.
-
             float width_; //!< The height of the playing field.
             float height_; //!< The width of the playing field.
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxPrereqs.h
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxPrereqs.h	(revision 12364)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxPrereqs.h	(revision 12366)
@@ -43,6 +43,6 @@
 //-----------------------------------------------------------------------
 
-#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(OrxoBlox_STATIC_BUILD)
-#  ifdef OrxoBlox_SHARED_BUILD
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ORXOBLOX_STATIC_BUILD)
+#  ifdef ORXOBLOX_SHARED_BUILD
 #    define _OrxoBloxExport __declspec(dllexport)
 #  else
@@ -73,5 +73,4 @@
     class OrxoBloxWall;
     class OrxoBloxStones;
-    class OrxoBloxShip;
     class OrxoBloxScore;
 }
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxScore.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxScore.cc	(revision 12364)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxScore.cc	(revision 12366)
@@ -55,5 +55,5 @@
         this->owner_ = nullptr;
         this->player_ = nullptr;
-
+    }
     /**
     @brief