Index: code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw
===================================================================
--- code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw	(revision 12369)
+++ code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw	(revision 12370)
@@ -7,5 +7,5 @@
 
 <?lua
-  include("HUDTemplates3.oxo")
+  
   include("stats.oxo")
   include("OrxoBloxHUD.oxo")
Index: code/branches/OrxoBlox_FS19/data/levels/templates/spaceshipOrxoBlox.oxt
===================================================================
--- code/branches/OrxoBlox_FS19/data/levels/templates/spaceshipOrxoBlox.oxt	(revision 12369)
+++ code/branches/OrxoBlox_FS19/data/levels/templates/spaceshipOrxoBlox.oxt	(revision 12370)
@@ -6,4 +6,15 @@
    spawnparticleduration  = 3
    explosionchunks        = 4
+
+   health            = 10
+   maxhealth         = 10
+   initialhealth     = 10
+
+   shieldhealth        = 20
+   initialshieldhealth = 20
+   maxshieldhealth     = 20
+   shieldabsorption    = 0.1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 150
@@ -26,4 +37,7 @@
    linearDamping     = 0.9
    angularDamping    = 0.9999999
+
+   collisiondamage = 100
+   enablecollisiondamage = true
    
   >
@@ -72,12 +86,7 @@
    boostfactor    = 2.2
 
+
    defEngineSndNormal = "sounds/Engine_low.ogg"
    defEngineSndBoost = "sounds/Engine_high.ogg"
-
-   accelerationfront     = 700
-   accelerationbrake     = 700
-   accelerationback      = 700
-   accelerationleftright =  500
-   accelerationupdown    =  500
   >
 
Index: code/branches/OrxoBlox_FS19/data/overlays/OrxoBloxHUD.oxo
===================================================================
--- code/branches/OrxoBlox_FS19/data/overlays/OrxoBloxHUD.oxo	(revision 12369)
+++ code/branches/OrxoBlox_FS19/data/overlays/OrxoBloxHUD.oxo	(revision 12370)
@@ -21,4 +21,19 @@
     />
 
+
   </OverlayGroup>
 </Template>
+<Template name="spaceshiphud">
+  <OverlayGroup name = "spaceshiphud" scale = "1, 1">
+    <HUDNavigation
+     name          = "Navigation"
+     correctaspect = true
+     font          = "Monofur"
+     textsize      = 0
+     navMarkerSize = 0.06
+     aimMarkerSize = 0
+     healthMarkerSize = 0
+     healthLevelMarkerSize = 0
+    />
+  </OverlayGroup>
+</Template>
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12369)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12370)
@@ -173,5 +173,5 @@
         // Set variable to temporarily force the player to spawn.
         //bool temp = this->bForceSpawn_;
-        this->bForceSpawn_ = true;
+        this->bForceSpawn_ = false;
 
         // Call start for the parent class.
@@ -307,5 +307,5 @@
             if((BallPosition.x - Ball->getRadius() >= StonePosition.x - size && BallPosition.x + Ball->getRadius() <= StonePosition.x + size) && 
                 (BallPosition.z - Ball->getRadius() >= StonePosition.z - size && BallPosition.z + Ball->getRadius() <= StonePosition.z + size)) {
-                orxout() << "FOUND ONE" << endl;
+                //orxout() << "FOUND ONE" << endl;
                 return someStone;
             }
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h	(revision 12369)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h	(revision 12370)
@@ -90,5 +90,5 @@
                 { return this->center_; }
             OrxoBloxStones* CheckForCollision(OrxoBloxBall* Ball);
-
+            virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command
         protected:
         private:
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxPrereqs.h
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxPrereqs.h	(revision 12369)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxPrereqs.h	(revision 12370)
@@ -74,4 +74,5 @@
     class OrxoBloxStones;
     class OrxoBloxScore;
+    class OrxoBloxShip;
 }
 
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.cc	(revision 12369)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.cc	(revision 12370)
@@ -71,22 +71,11 @@
         SUPER(OrxoBloxShip, tick, dt);
         Vector3 pos = this->getPosition();
+        this->setPosition(pos);
+    }   
 
+    void OrxoBloxShip::boost(bool bBoost)
+    {
     }
 
-    OrxoBlox* OrxoBloxShip::getGame()
-    {
-        if (game == nullptr)
-        {
-            for (OrxoBlox* race : ObjectList<OrxoBlox>())
-            {
-                game = race;
-            }
-        }
-        return game;
-    }
-    void OrxoBloxShip::death()
-    {
-        SpaceShip::death();
-    }
 }
 
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.h
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.h	(revision 12369)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.h	(revision 12370)
@@ -51,6 +51,8 @@
 
             //no rotation in x and z direction!
-            virtual void rotatePitch(const Vector2& value) override{}; // Rotate in pitch direction.
+            //virtual void rotatePitch(const Vector2& value) override{}; // Rotate in pitch direction.
+            //Yaw
             virtual void rotateRoll(const Vector2& value) override{}; // Rotate in roll direction.
+            virtual void boost(bool boost) override; //Override, so that the ship does not shake
             
             /*Functions that can be helpful while debugging.
@@ -68,5 +70,4 @@
 
         protected:
-            virtual void death() override;
         private:
             OrxoBlox* getGame();