Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12373)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12376)
@@ -98,5 +98,5 @@
     */
     void OrxoBlox::cleanup()
-    {
+    {   
         //if (this->ball_ != nullptr) // Destroy the ball, if present.
         //{
@@ -105,13 +105,14 @@
         //}
 
-        if (this->futureWall_ != nullptr)
+        /*if (this->futureWall_ != nullptr)
             {
             this->futureWall_->destroy();
             this->futureWall_ = nullptr;
             }
-
+        */
+        
         for (OrxoBloxWall* wall : this->activeWalls_)
             if (wall != nullptr)
-            wall->destroy();
+                wall->destroy();
         this->activeWalls_.clear();
         
@@ -132,4 +133,5 @@
 
     {
+        orxout() << "Orxoblox started" << endl;
         if (this->center_ != nullptr) // There needs to be a OrxoBloxCenterpoint, i.e. the area the game takes place.
         {
@@ -222,16 +224,16 @@
     void OrxoBlox::LevelUp(){
         level_++;
+        int z_;
+
+        orxout() << "level up called" << endl;
         this->playerScored(this->player_);// add points
         for(OrxoBloxStones* stone : this->stones_){
             int x_=(stone->getPosition()).x;
             int y_=(stone->getPosition()).y;
-            int z_=(stone->getPosition()).z;
+            z_=(stone->getPosition()).z;
             //if(z_==90)this->end();
 
             stone->setPosition(x_,y_,z_+9.0f);
-
-            if( z_ >= 45){
-                this->end();
-            }
+            
         }
 
@@ -266,4 +268,9 @@
         //create balls
         //insert new wall
+        if( z_ >= 45){
+            orxout() << "calling end() function" << endl;
+            this->end();
+            }
+        
     }
 
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.cc	(revision 12373)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.cc	(revision 12376)
@@ -128,5 +128,6 @@
     */
     void OrxoBloxBall::tick(float dt)
-    {
+    {   
+        
         SUPER(OrxoBloxBall, tick, dt);
 
@@ -148,4 +149,8 @@
                 
                 orxoblox_->LevelUp();
+                orxoblox_->LevelUp();
+                orxout() << "LevelUp 2 finished, trying to call end() function";
+                //this->end();
+
 
 
@@ -294,5 +299,5 @@
         Vector3 positionStone = Stone->getPosition();
         Vector3 myPosition = this->getPosition();
-        orxout() << "About to Bounce >D" << endl;
+        //orxout() << "About to Bounce >D" << endl;
         
             int distance_X = myPosition.x - positionStone.x;
@@ -306,19 +311,19 @@
                 distance_Z = -distance_Z;
 
-            orxout() << distance_X << endl;
-            orxout() << distance_Z << endl;
+            //orxout() << distance_X << endl;
+            //orxout() << distance_Z << endl;
 
             if (distance_X < distance_Z) {
                 velocity.z = -velocity.z;
-                orxout() << "z" << endl;  
+                //orxout() << "z" << endl;  
             }
             else if (distance_Z < distance_X) {
                 velocity.x = -velocity.x;
-                orxout() << "x" << endl;       
+                //orxout() << "x" << endl;       
             }
             else {
                 velocity.x = -velocity.x;
                 velocity.z = -velocity.z;
-                orxout() << "both" << endl;
+                //orxout() << "both" << endl;
             }                                  
 
Index: code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc	(revision 12373)
+++ code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc	(revision 12376)
@@ -104,5 +104,5 @@
         Vector3 myPosition = otherObject->getPosition();
         btVector3 positionOtherObject = contactPoint.getPositionWorldOnA();
-        orxout() << "About to Bounce >D" << endl;
+        //orxout() << "About to Bounce >D" << endl;
         //if (positionOtherObject.y < 0) {
             //this.destroy()
@@ -120,19 +120,19 @@
                 distance_Z = -distance_Z;
 
-            orxout() << distance_X << endl;
-            orxout() << distance_Z << endl;
+            //orxout() << distance_X << endl;
+            //orxout() << distance_Z << endl;
 
             if (distance_X < distance_Z) {
                 velocity.z = -velocity.z;
-                orxout() << "z" << endl;
+                //orxout() << "z" << endl;
             }
             if (distance_Z < distance_X) {
                 velocity.x = -velocity.x;
-                orxout() << "x" << endl;
+                //orxout() << "x" << endl;
             }
             else {
                 velocity.x = -velocity.x;
                 velocity.z = -velocity.z;
-                orxout() << "both" << endl;
+                //orxout() << "both" << endl;
             }
             this->setVelocity(velocity);
@@ -144,5 +144,5 @@
     {
 
-        orxout() << "wanna bounce..." << endl;
+        //orxout() << "wanna bounce..." << endl;
         bool result = BasicProjectile::processCollision(otherObject, contactPoint, cs);
         if (result == true) {
@@ -151,5 +151,5 @@
             }
         }
-        orxout() << "BOUNCED!" << endl;
+        //orxout() << "BOUNCED!" << endl;
 
         return result;
@@ -198,5 +198,5 @@
                 //this->setSpeed(0); // doesn't work here, why??;
                 //Stopping ball
-                orxout() << "Ball stopped" << endl;
+                //orxout() << "Ball stopped" << endl;
                 velocity.x = 0;
                 velocity.y = 0;
Index: code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BasicProjectile.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 12373)
+++ code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 12376)
@@ -85,5 +85,5 @@
     bool BasicProjectile::processCollision(WorldEntity* otherObject, btManifoldPoint& contactPoint, const btCollisionShape* cs)
     {
-        orxout() << "OMG A COLLISION" << endl;
+        //orxout() << "OMG A COLLISION" << endl;
         if (!this->bDestroy_ && GameMode::isMaster())
         {