Index: code/branches/3DPacman_FS19/src/modules/pacman/CMakeLists.txt
===================================================================
--- code/branches/3DPacman_FS19/src/modules/pacman/CMakeLists.txt	(revision 12365)
+++ code/branches/3DPacman_FS19/src/modules/pacman/CMakeLists.txt	(revision 12380)
@@ -11,4 +11,5 @@
   PacmanBrown.cc
   PacmanCyan.cc
+  PacmanLaser.cpp
 )
 
Index: code/branches/3DPacman_FS19/src/modules/pacman/Pacman.cc
===================================================================
--- code/branches/3DPacman_FS19/src/modules/pacman/Pacman.cc	(revision 12365)
+++ code/branches/3DPacman_FS19/src/modules/pacman/Pacman.cc	(revision 12380)
@@ -88,12 +88,20 @@
             dead(dt);
 
-            if(point > 230){
+
+         
+        }
+
+        //ingame loop
+        else{
+            if(point > 5){
               
                 for(PacmanPointSphere* pointer : ObjectList<PacmanPointSphere>()){
-                     pointSpherePosition = pointer->getPosition();
+                    Vector3 pointSpherePosition = pointer->getPosition();
 
                      if(pointSpherePosition.y > 0){
-                        PacmanLaser* pos = ObjectList<PacmanLaser>(); //to do
+
+                        PacmanLaser* pos = *(ObjectList<PacmanLaser>().begin());
                         pos->setPosition(pointSpherePosition);
+                        orxout()<<"hellooooo" <<endl;
                         break;
                     }
@@ -103,9 +111,4 @@
 
             }
-         
-        }
-
-        //ingame loop
-        else{
 
             //Register ghosts
@@ -223,5 +226,5 @@
     void Pacman::takePoint(PacmanPointSphere* taken){
         ++point;
-        }
+        
         if(point == totallevelpoint){ 
             this->levelUp();
Index: code/branches/3DPacman_FS19/src/modules/pacman/PacmanLaser.cpp
===================================================================
--- code/branches/3DPacman_FS19/src/modules/pacman/PacmanLaser.cpp	(revision 12365)
+++ code/branches/3DPacman_FS19/src/modules/pacman/PacmanLaser.cpp	(revision 12380)
@@ -16,5 +16,5 @@
     PacmanLaser::PacmanLaser(Context* context) : ControllableEntity(context)
     {
-        RegisterObject(PacmanPointSphere);
+        RegisterObject(PacmanLaser);
         this->setCollisionType(CollisionType::None);
     }
@@ -33,7 +33,7 @@
         Method for creating a AutonomousDrone through XML.
     */
-    void PacmanPointSphere::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    void PacmanLaser::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-        SUPER(PacmanPointSphere, XMLPort, xmlelement, mode);
+        SUPER(PacmanLaser, XMLPort, xmlelement, mode);
     }
 
@@ -41,5 +41,5 @@
     void PacmanLaser::tick(float dt)
     {
-        SUPER(PacmanPointSphere, tick, dt);
+        SUPER(PacmanLaser, tick, dt);
     }
 
Index: code/branches/3DPacman_FS19/src/modules/pacman/PacmanLaser.h
===================================================================
--- code/branches/3DPacman_FS19/src/modules/pacman/PacmanLaser.h	(revision 12365)
+++ code/branches/3DPacman_FS19/src/modules/pacman/PacmanLaser.h	(revision 12380)
@@ -18,5 +18,6 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating an AutonomousDrone through XML.
             virtual void tick(float dt); //!< Defines which actions the AutonomousDrone has to take in each tick.
-
+            
+            void resetPacmanLaser();
             
 
Index: code/branches/3DPacman_FS19/src/modules/pacman/PacmanPointSphere.cc
===================================================================
--- code/branches/3DPacman_FS19/src/modules/pacman/PacmanPointSphere.cc	(revision 12365)
+++ code/branches/3DPacman_FS19/src/modules/pacman/PacmanPointSphere.cc	(revision 12380)
@@ -82,9 +82,4 @@
       return false;
     }
-    bool showLaserPointSphere = false;
-
-
-    
-
     //Reset position
     void PacmanPointSphere::resetPacmanPointSphere(){