Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/CMakeLists.txt
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/CMakeLists.txt	(revision 12382)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/CMakeLists.txt	(revision 12384)
@@ -7,4 +7,6 @@
   OrxoBloxScore.cc
   OrxoBloxShip.cc
+  ../weapons/weaponmodes/BallGun.cc
+  ../weapons/projectiles/BallProjectile.cc
 
 )
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12382)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12384)
@@ -230,13 +230,5 @@
         orxout() << "level up called" << endl;
         this->playerScored(this->player_);// add points
-        for(OrxoBloxStones* stone : this->stones_){
-            int x_=(stone->getPosition()).x;
-            int y_=(stone->getPosition()).y;
-            z_=(stone->getPosition()).z;
-            //if(z_==90)this->end();
-
-            stone->setPosition(x_,y_,z_+9.0f);
-            
-        }
+        
 
 
@@ -270,8 +262,20 @@
         //create balls
         //insert new wall
-        if( z_ >= 45){
-            orxout() << "calling end() function" << endl;
-            this->end();
-            }
+        for(OrxoBloxStones* stone : this->stones_){
+            if (stone != nullptr) {
+            int x_=(stone->getPosition()).x;
+            int y_=(stone->getPosition()).y;
+            z_=(stone->getPosition()).z;
+            //if(z_==90)this->end();
+
+            stone->setPosition(x_,y_,z_+9.0f);
+            if( z_ >= 45){
+                orxout() << "calling end() function" << endl;
+                this->end();
+            }
+            }
+            
+        }
+
         
     }
Index: code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc	(revision 12382)
+++ code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc	(revision 12384)
@@ -33,6 +33,4 @@
 
 #include "BallProjectile.h"
-#include "../OrxoBlox/OrxoBlox.h"
-#include "../OrxoBlox/OrxoBloxStones.h"
 #include "gametypes/Gametype.h"
 
@@ -60,5 +58,5 @@
         this->fieldWidth_ = 46;
         this->fieldHeight_ =  49;
-        //this->orxoblox_ = this->getOrxoBlox();
+        this->orxoblox_ = this->getOrxoBlox();
 
         //setEffect("Orxonox/sparks2");
@@ -149,5 +147,5 @@
 
 
-    /*
+    
     OrxoBlox* BallProjectile::getOrxoBlox()
     {
@@ -160,5 +158,5 @@
         return nullptr;
     }
-    */
+    
 
 
@@ -185,5 +183,5 @@
                 position.z = this-> fieldHeight_;
                 
-                //orxoblox_->LevelUp();
+                orxoblox_->LevelUp();
 
 
Index: code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.h
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.h	(revision 12382)
+++ code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.h	(revision 12384)
@@ -37,5 +37,6 @@
 #include "weapons/WeaponsPrereqs.h"
 #include "weapons/projectiles/BillboardProjectile.h"
-#include "../OrxoBlox/OrxoBlox.h"
+#include "../../OrxoBlox/OrxoBlox.h"
+#include "../../OrxoBlox/OrxoBloxStones.h"
 
 #include "OrxoBlox/OrxoBloxPrereqs.h"
@@ -68,5 +69,5 @@
             void registerVariables();
             void changeTexture();
-            //OrxoBlox* getOrxoBlox();
+            OrxoBlox* getOrxoBlox();
             
             float speed_; //!< The speed (in x-direction) of the ball.
@@ -76,5 +77,5 @@
             unsigned int maxTextureIndex_; //!< The maximal index.
             std::string materialBase_; //!< The base name of the material.
-            //OrxoBlox* orxoblox_;
+            OrxoBlox* orxoblox_;
     };
 }
Index: code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/CMakeLists.txt
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/CMakeLists.txt	(revision 12382)
+++ code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/CMakeLists.txt	(revision 12384)
@@ -15,4 +15,4 @@
   MineProjectile.cc
   WagnisProjectile.cc
-  BallProjectile.cc
+  #BallProjectile.cc
 )
Index: code/branches/OrxoBlox_FS19/src/modules/weapons/weaponmodes/CMakeLists.txt
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/weapons/weaponmodes/CMakeLists.txt	(revision 12382)
+++ code/branches/OrxoBlox_FS19/src/modules/weapons/weaponmodes/CMakeLists.txt	(revision 12384)
@@ -14,4 +14,4 @@
   MineGun.cc
   WagnisGun.cc
-  BallGun.cc
+  #BallGun.cc
 )