Index: code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw
===================================================================
--- code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw	(revision 12390)
+++ code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw	(revision 12391)
@@ -16,4 +16,5 @@
   include("templates/spaceshipPirate.oxt")
   include("templates/spaceshipOrxoBlox.oxt")
+  include("templates/spaceshipEscort.oxt")
 ?>
 
@@ -86,5 +87,7 @@
     <!-- <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
     <Light type=directional position="-100, 10000, -700" direction="0.2, -1, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-    <SpawnPoint team=0 position="0,-4.5,49" lookat="0,0,0" spawnclass= OrxoBloxShip pawndesign=spaceshipOrxoBlox/>
+    <SpawnPoint team=0 position="0,-4.5,49" lookat="0,0,0" spawnclass= SpaceShip pawndesign=spaceshipOrxoBlox/>
+
+    <!--SpawnPoint team=0 position="0,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort /--->
 
     <!--<Model mesh="axes.mesh" scale=10 position="0,0,0" /> -->
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12390)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12391)
@@ -332,4 +332,8 @@
     }
     
+    void OrxoBlox::tick(float dt)
+    {        
+        SUPER(OrxoBlox, tick, dt);
+    }
 /*
     bool OrxoBlox::Intersect(int XpositionBall, int XPositionBlock, int YPositionBall, int YPositionBlock, int radiusBall, int sizeBlock) {
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h	(revision 12390)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h	(revision 12391)
@@ -76,5 +76,5 @@
             // void spawnPlayer(PlayerInfo* Player) override;
             virtual void playerPreSpawn(PlayerInfo* player) override;
-
+            virtual void tick(float dt) override;
 
             void LevelUp();
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.cc	(revision 12390)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.cc	(revision 12391)
@@ -69,7 +69,22 @@
     void OrxoBloxShip::tick(float dt)
     {
-        SUPER(OrxoBloxShip, tick, dt);
         Vector3 pos = this->getPosition();
+
+        //ensure that the ship stays in playing field
+        if(pos.x > width/2)   pos.x = -width/2;
+        if(pos.x < -width/2)  pos.x = width/2;
+        if(pos.z > height/2)  pos.z = -height/2;
+        if(pos.z < -height/2) pos.z = height/2;
+
+        //2D movement, position should always = 0 on y-axis
+        if(pos.y!=0) pos.y = 0;
         this->setPosition(pos);
+
+
+        //if you hit an asteroid, the ship will turn -> you need to reorientate the ship 
+        Quaternion ort = this->getOrientation();
+        ort.x = 0;
+        ort.z = 0;
+        this->setOrientation(ort);
     }   
 
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.h
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.h	(revision 12390)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.h	(revision 12391)
@@ -53,6 +53,8 @@
             //virtual void rotatePitch(const Vector2& value) override{}; // Rotate in pitch direction.
             //Yaw
+            virtual void rotatePitch(const Vector2& value) override{}; // Rotate in pitch direction.
             virtual void rotateRoll(const Vector2& value) override{}; // Rotate in roll direction.
             virtual void boost(bool boost) override; //Override, so that the ship does not shake
+            
             
             /*Functions that can be helpful while debugging.
@@ -69,5 +71,5 @@
             }
 
-        protected:
+        //protected:
         private:
             OrxoBlox* getGame();
Index: code/branches/OrxoBlox_FS19/src/modules/asteroids2D/Asteroids2DShip.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/asteroids2D/Asteroids2DShip.cc	(revision 12390)
+++ code/branches/OrxoBlox_FS19/src/modules/asteroids2D/Asteroids2DShip.cc	(revision 12391)
@@ -69,5 +69,5 @@
     void Asteroids2DShip::tick(float dt)
     {
-        SUPER(Asteroids2DShip, tick, dt);
+        //SUPER(Asteroids2DShip, tick, dt);
         Vector3 pos = this->getPosition();
 