Index: /code/branches/OrxoBlox_FS19/data/levels/includes/OrxoBloxWeapon.oxi
===================================================================
--- /code/branches/OrxoBlox_FS19/data/levels/includes/OrxoBloxWeapon.oxi	(revision 12391)
+++ /code/branches/OrxoBlox_FS19/data/levels/includes/OrxoBloxWeapon.oxi	(revision 12392)
@@ -21,4 +21,4 @@
     </weaponpacks>
     <munition>
-      <BallMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <BallMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=1 replenishamount=1 replenishinterval=4/>
     </munition>
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12391)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12392)
@@ -111,15 +111,22 @@
             }
         */
-        
-        for (OrxoBloxWall* wall : this->activeWalls_)
+        for (OrxoBloxWall* wall : this->activeWalls_) {
             if (wall != nullptr)
                 wall->destroy();
+        }
         this->activeWalls_.clear();
         
 
-        for (OrxoBloxStones* stone : this->stones_)
+        for (OrxoBloxStones* stone : this->stones_) {
             if(stone != nullptr)
             stone->destroy();
+        }
         this->stones_.clear();
+        if(this->playership != nullptr) {
+            this->playership->destroy();
+        }
+        if(this->center_ != nullptr) {
+            this->center_->destroy();
+        }
         
 
@@ -136,29 +143,6 @@
         if (this->center_ != nullptr) // There needs to be a OrxoBloxCenterpoint, i.e. the area the game takes place.
         {
-            //if (this->ball_ == nullptr) // If there is no ball, create a new ball.
-            //{
-            //    this->ball_ = new OrxoBloxBall(this->center_->getContext());
-                // Apply the template for the ball specified by the centerpoint.
-            //    this->ball_->addTemplate(this->center_->getBalltemplate());
-            //}
-
-            // Attach the ball to the centerpoint and set the parameters as specified in the centerpoint, the ball is attached to.
-            //this->center_->attach(this->ball_);
-            //Startposition Ball
-            //this->ball_->setPosition(0, 0, 40);
-            //this->ball_->setFieldDimension(this->center_->getFieldDimension());
-            //this->ball_->setSpeed(0);
-            //this->ball_->setAccelerationFactor(this->center_->getBallAccelerationFactor());
-            
+
             level_=1;
-
-            // Create the first Wall.
-            this->LevelUp();
-
-
-
-            //Create Ship
-            //this->ship_ = new OrxoBloxShip(this->center_->getContext());
-            //this->ship_->setPosition(0, 0, 0);
 
         }
@@ -230,6 +214,4 @@
         orxout() << "level up called" << endl;
         this->playerScored(this->player_);// add points
-        
-
 
         this->createWall();
@@ -264,16 +246,15 @@
         for(OrxoBloxStones* stone : this->stones_){
             if (stone != nullptr) {
-            int x_=(stone->getPosition()).x;
-            int y_=(stone->getPosition()).y;
-            z_=(stone->getPosition()).z;
-            //if(z_==90)this->end();
-
-            stone->setPosition(x_,y_,z_+9.0f);
-            if( z_ >= 45){
-                orxout() << "calling end() function" << endl;
-                this->end();
-            }
-            }
-            
+                int x_=(stone->getPosition()).x;
+                int y_=(stone->getPosition()).y;
+                z_=(stone->getPosition()).z;
+                //if(z_==90)this->end();
+
+                stone->setPosition(x_,y_,z_+9.0f);
+                if( z_ >= 45){
+                    orxout() << "calling end() function" << endl;
+                    this->end();
+                }
+            }
         }
 
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.cc	(revision 12391)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.cc	(revision 12392)
@@ -34,5 +34,5 @@
             if(j<2){
                 this->size_ = 9.0f;
-                OrxoBloxStones* stone = new OrxoBloxStones(this->getContext());
+                OrxoBloxStones* stone = new OrxoBloxStones(this->center_->getContext());
                 if (stone == nullptr) {
                     std::abort();
Index: /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BasicProjectile.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 12391)
+++ /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 12392)
@@ -92,5 +92,4 @@
             if (getDestroyAfterCollision())
             {
-                orxout() << "Destroy that stuff" << endl;
                 this->bDestroy_ = true; // If something is hit, the object is destroyed and can't hit something else.
                                         // The projectile is destroyed by its tick()-function (in the following tick).
@@ -174,5 +173,4 @@
     {
         if(GameMode::isMaster() && this->bDestroy_) {
-            orxout() << "Set true, smhow" << endl;
             this->destroy();
         }
@@ -186,5 +184,4 @@
     {
         if(GameMode::isMaster()) {
-            orxout() << "Deleted myself" << endl;
             this->destroy();
         }