Index: /code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw
===================================================================
--- /code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw	(revision 12392)
+++ /code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw	(revision 12393)
@@ -50,15 +50,18 @@
 
   
-  <Template name=OrxoBloxstone>
-    <OrxoBloxStones>
+  <!-- <Template name=OrxoBloxstone>
+    <OrxoBloxStones collisionType=static>
       <attached>
-        <Model position="0,0,0" mesh="CuboidBody.mesh" scale=4.5 />
+        <Model position="0,0,0" mesh="CuboidBody.mesh" scale3D="4.5,4.5,4.5" />
         <Model position="0,0,0" mesh="cube_orange.mesh" scale=4.3 />
       </attached>
-      <collisionShapes>
-                <BoxCollisionShape position="0,0,0" halfExtents="4.5, 4.5, 4.5" />
-      </collisionShapes>
+      <collisionShapes> 
+        <BoxCollisionShape position="0,0,0" halfExtents="2,2,2" /> 
+      </collisionShapes> 
     </OrxoBloxStones>
-  </Template>
+  </Template> -->
+
+  <!-- <StaticEntity position="0,-10000,0" direction="0,-1,0" collisionType=static mass=100000 friction=0.01 > -->
+   
   
   
@@ -69,5 +72,5 @@
   </Template>
 
-
+    
 <Level
   plugins = "OrxoBlox"
@@ -85,4 +88,5 @@
    skybox       = "Orxonox/skyBoxBasic"
   >
+
     <!-- <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
     <Light type=directional position="-100, 10000, -700" direction="0.2, -1, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
@@ -104,4 +108,5 @@
     </OrxoBloxCenterpoint>
       
+  
 
   </Scene>
Index: /code/branches/OrxoBlox_FS19/data/levels/templates/spaceshipOrxoBlox.oxt
===================================================================
--- /code/branches/OrxoBlox_FS19/data/levels/templates/spaceshipOrxoBlox.oxt	(revision 12392)
+++ /code/branches/OrxoBlox_FS19/data/levels/templates/spaceshipOrxoBlox.oxt	(revision 12393)
@@ -94,2 +94,15 @@
   </MultiStateEngine>
 </Template>
+
+
+<Template name=OrxoBloxstone>
+  <OrxoBloxStones collisionType=dynamic>
+    <attached>
+      <Model position="0,0,0" mesh="CuboidBody.mesh" scale3D="4.5,4.5,4.5" />
+      <Model position="0,0,0" mesh="cube_orange.mesh" scale=4.3 />
+    </attached>
+    <collisionShapes> 
+          <BoxCollisionShape position="0,0,0" halfExtents="2,2,2" /> 
+    </collisionShapes> 
+  </OrxoBloxStones>
+</Template>
Index: /code/branches/OrxoBlox_FS19/data/overlays/OrxoBloxHUD.oxo
===================================================================
--- /code/branches/OrxoBlox_FS19/data/overlays/OrxoBloxHUD.oxo	(revision 12392)
+++ /code/branches/OrxoBlox_FS19/data/overlays/OrxoBloxHUD.oxo	(revision 12393)
@@ -28,5 +28,6 @@
      colour    = "1.0, 1.0, 1.0, 1.0"
      align     = "left"
-     
+
+     showhealth  = true
     />
 
@@ -34,18 +35,5 @@
   </OverlayGroup>
 </Template>
-<Template name="spaceshiphud">
-  <OverlayGroup name = "spaceshiphud" scale = "1, 1">
-    <HUDNavigation
-     name          = "Navigation"
-     correctaspect = true
-     font          = "Monofur"
-     textsize      = 0
-     navMarkerSize = 0.06
-     aimMarkerSize = 0
-     healthMarkerSize = 0
-     healthLevelMarkerSize = 0
-    />
-  </OverlayGroup>
-</Template>
+
 
 
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.cc	(revision 12392)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.cc	(revision 12393)
@@ -13,5 +13,5 @@
         Constructor. Registers and initializes the object.
     */
-    OrxoBloxStones::OrxoBloxStones(Context* context) : StaticEntity(context)
+    OrxoBloxStones::OrxoBloxStones(Context* context) : Pawn(context)
     {
         RegisterObject(OrxoBloxStones);
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.h	(revision 12392)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.h	(revision 12393)
@@ -7,4 +7,5 @@
 
 #include "worldentities/StaticEntity.h"
+#include "worldentities/pawns/Pawn.h"
 #include "tools/Timer.h"
 
@@ -19,5 +20,5 @@
     @ingroup OrxoBlox
     */
-    class _OrxoBloxExport OrxoBloxStones : public StaticEntity
+    class _OrxoBloxExport OrxoBloxStones : public Pawn
     {
         public:
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.cc	(revision 12392)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.cc	(revision 12393)
@@ -35,4 +35,5 @@
                 this->size_ = 9.0f;
                 OrxoBloxStones* stone = new OrxoBloxStones(this->center_->getContext());
+                stone->addTemplate(this->orxoblox_->getCenterpoint()->getStoneTemplate());
                 if (stone == nullptr) {
                     std::abort();
Index: /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc	(revision 12392)
+++ /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc	(revision 12393)
@@ -142,4 +142,5 @@
                 Bounce(otherObject, contactPoint, cs);
                 orxout() << "BOUNCED!" << endl;
+                
             }
         }